Subject: bug#1806: dired-pop-to-buffer in wrong place

From: Juri Linkov <[email-masked]>
Date: Thu, 15 Jan 2009 01:37:07 +0200

>> And that's good: the list should be close to the question, not close to
>> the dired buffer.
>
> If the dired buffer were not needed while asking the question, dired
> could temporarily display that list in the dired window itself and
> switch back to the dired buffer afterwards.  But I never use dired.

Actually Dired already displays that list in the Dired window itself
when the list is too large and fills the whole window.  But it would be
bad to replace the Dired buffer with a small list with 2-3 filename lines
and a lot of empty lines.  So it is better to display a separate window
near the minibuffer without empty lines using `fit-window-to-buffer'.

-- 
Juri Linkov
http://www.jurta.org/emacs/